# DaprProtos.TransactionalStateOperationOrBuilder (dapr-sdk-parent 1.10.0 API)

Package io.dapr.v1

## Interface DaprProtos.TransactionalStateOperationOrBuilder

All Superinterfaces:
  `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`

All Known Implementing Classes:
  `DaprProtos.TransactionalStateOperation`, `DaprProtos.TransactionalStateOperation.Builder`

Enclosing class:
  DaprProtos

    public static interface DaprProtos.TransactionalStateOperationOrBuilder
    extends com.google.protobuf.MessageOrBuilder

### Method Summary

All Methods Instance Methods Abstract Methods
`String` `getOperationType()` The type of operation to be executed
`com.google.protobuf.ByteString` `getOperationTypeBytes()` The type of operation to be executed
`CommonProtos.StateItem` `getRequest()` State values to be operated on
`CommonProtos.StateItemOrBuilder` `getRequestOrBuilder()` State values to be operated on
`boolean` `hasRequest()` State values to be operated on

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

### Method Detail

#### getOperationType

    String getOperationType()

     The type of operation to be executed

`string operationType = 1;`

Returns:
  The operationType.

#### getOperationTypeBytes

    com.google.protobuf.ByteString getOperationTypeBytes()

     The type of operation to be executed

`string operationType = 1;`

Returns:
  The bytes for operationType.

#### hasRequest

    boolean hasRequest()

     State values to be operated on

`.dapr.proto.common.v1.StateItem request = 2;`

Returns:
  Whether the request field is set.

#### getRequest

    CommonProtos.StateItem getRequest()

     State values to be operated on

`.dapr.proto.common.v1.StateItem request = 2;`

Returns:
  The request.

#### getRequestOrBuilder

    CommonProtos.StateItemOrBuilder getRequestOrBuilder()

     State values to be operated on

`.dapr.proto.common.v1.StateItem request = 2;`